{% extends "bootstrap/base.html" %}

{% block title %} Settings {% endblock %}

{% block content %}

{% block styles %}
{{super()}}
    <link rel="stylesheet" href="{{url_for('static', filename='index.css')}}" />
    <link href='https://fonts.googleapis.com/css?family=Montserrat:400,700' rel='stylesheet' type='text/css'>
{% endblock %}

<body>
{% include "navBar.html"%}
<div class="container-fluid h-100">

  <div class="row">

    <div class="col-md-3" id="left-side-pan" >{% include "userProfile.html"%}</div>

    <div class="col-md-6">
      <h1>Settings</h1>
      <form action="" method="post">
        {{form.hidden_tag()}}
        <table class="form-table">
          <tr>
            <td><label>Personal Profile:</label></td>
          </tr>
          <tr>
            <td>{{ form.personalProfile(cols="40", rows="5", maxlength=(150))}}</td>
          </tr>

          {% for error in form.personalProfile.errors %}
          <tr>
            <td>
              <span style='color: red;'>[{{ error }}]</span>
            </td>
          </tr>
          {% endfor %}
                <tr>
                  <td><label>New Password:</label></td>
                </tr>
                <tr>
                  <td>{{ form.rawPassword}}</td>
                </tr>

                {% for error in form.rawPassword.errors %}
                <tr>
                  <td>
                    <span style='color: red;'>[{{ error }}]</span>
                  </td>
                </tr>
                {% endfor %}

                <tr>
                  <td><label>Confirm New Password:</label></td>
                </tr>
                <tr>
                  <td>{{ form.confirmPassword}}</td>
                </tr>

                {% for error in form.confirmPassword.errors %}
                <tr>
                  <td>
                    <span style='color: red;'>[{{ error }}]</span>
                  </td>
                </tr>
                {% endfor %}

          <tr>
            <td>
              <input type=submit value="Update" />
            </td>
          </tr>
        </table>

      </form>

    </div>

    <div class ="col-md-3" id="right-side-pan">
      <!-- flashed messages will be used to confirm to user information from application layer-->
        {% with messages = get_flashed_messages() %}
          {% if messages %}
            <ul>
              {% for messages in messages %}
                <li>{{messages}}</li>
              {% endfor %}
            </ul>
          {% endif %}
        {% endwith %}
    </div>
  </div>

</div>
</body>
{% endblock %}
